#region Copyright Syncfusion Inc. 2001 - 2005
//
//  Copyright Syncfusion Inc. 2001 - 2005. All rights reserved.
//
//  Use of this code is subject to the terms of our license.
//  A copy of the current license can be obtained at any time by e-mailing
//  licensing@syncfusion.com. Any infringement will be prosecuted under
//  applicable laws. 
//
#endregion

using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using Syncfusion.Web.UI.WebControls.Grid.Grouping;
using Syncfusion.Grouping;
using Syncfusion.Windows.Forms.Grid;
using Syncfusion.Web.UI.WebControls.Tools;

public partial class FormEditModeDemo : System.Web.UI.Page
{
    

  protected void Page_Init(object sender, EventArgs e)
    {
        GridTableDescriptor mainTD = this.GridGroupingControl1.TableDescriptor;
        mainTD.PrimaryKeyColumns.Add("CategoryID");
        this.GridGroupingControl1.DataBind();
    }

     // Used in the aspx file to get the field value of a record.
    protected string GetFieldValue(string fieldName, GridFormEditCell container)
    {
        Record editRecord = container.CurrentRecord;
        return editRecord.GetValue(fieldName).ToString();
    }

    // When the user clicks on the save changes button, go ahead and apply the user's changes to the current record:
    protected void GridGroupingControl1_BarButtonItemClicked(object source, Syncfusion.Web.UI.WebControls.Grid.Grouping.ButtonBarItemClickEventArgs e)
    {
       if(e.ButtonBarItem.ButtonBarItemType == ButtonBarItemType.Save)
            {
                Record curRecord = this.GridGroupingControl1.FormEditCell.CurrentRecord;

                TextBox tb = this.GridGroupingControl1.FormEditCell.FindControl("CategoryIDTB") as TextBox;
                // If editing a current record, this will be disabled and the value will not be available.
                // But this will be enabled when editing a new record, then lets go ahead and process it.
                if (tb.Enabled)
                    curRecord.SetValue("CategoryID", tb.Text);

                tb = this.GridGroupingControl1.FormEditCell.FindControl("CategoryTB") as TextBox;
                curRecord.SetValue("CategoryName", tb.Text);

                tb = this.GridGroupingControl1.FormEditCell.FindControl("DescriptionTB") as TextBox;
                curRecord.SetValue("Description", tb.Text);
                this.GridGroupingControl1.Table.EndEdit();
                 e.Handled = true;
            }

      }

    }
